# derailleur
A set of Python 3 scripts and libraries for interacting with Transmission,
derailleur automates all the little tasks involved in keeping Transmission
humming. 

Derailleur consists of four tools:
 * **derailleur-add**: manually add magnet links/torrent files
 * **derailleur-feed**: add links by way of an rss feed
 * **derailleur-manager**: manage seeds and remove (and delete) old downloads
 * **derailleur-postproc**: filter and process downloads after completion

All use a single library (derailleur) to interact with the Transmission daemon. 

## Features
 * All-in-one solution: Gets feeds, removes old torrents, cleans up and 
   organizes the content once it's downloaded.
 * Can replace several more complex solutions like flexget and media management
   tools
 * Works well with Firefox (add), cron (feed, manager) and Transmission's
   `script-torrent-done` option (postproc).
 * All elements can maintain an individual log for easy oversight of actions
 * Simple and comprehensible ini-like configuration
 * Postproc recognises music, tv and film and can work with custom,
   user-defined download types
 * Organizes content in a manner compatible with with media management tools
   and HTPC software so that it is automatically recognized.
 * Only keeps the files worth having. No more random .urls and .infos littering
   up your media folders.

For more details, please see the [the
wiki](https://git.brokkr.net/brokkr/derailleur/wiki).

## Installation
From the root derailleur directory (the one with this README file) derailleur
can be installed with pip. If pip is not on your system, please check your
package manager (on debian/ubuntu the package is named 'python3-pip').

    python3 ./setup.py sdist
    sudo pip3 install ./dist/derailleur-[version].tar.gz

Using pip to install rather than 'setup.py install' allows you to uninstall with:

    sudo pip3 uninstall derailleur

## Dependencies
 * transmissionrpc : For talking to the Transmission client
 * feedparser: For use in derailleur-feed to well, parse feeds.
 * mutagen : For reading and writing id3/FLAC tags 
 * unidecode : For transliterating unicode characters into ascii
 * configobj : For parsing and validating the ini-like settings file
 * xbmc-json (optional) : For alerting local kodi/XBMC instance to the presence
   of new media
 * requests (optional) : A dependency of xbmc-json (and used in catching kodi
   update errors)

The dependencies can all be installed with:

    sudo pip3 install [package name]

