#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Copyright 2010-2017 Mads Michelsen (mail@brokkr.net)
# This file is part of Derailleur.
# Derailleur is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.

"""Setup script for derailleur"""

from distutils.core import setup


setup(
    name='derailleur',
    version='0.31',
    license='GPL3',
    description=''''Derailleur is a unified collection of tools for the '''
                ''''Transmission bittorrent client''',
    long_description='''Derailleur is a unified collection of tools for '''
                     '''the Transmission bittorrent client''',
    author='Mads Michelsen',
    author_email='mail@brokkr.net',
    url='https://github.com/brokkr/derailleur',
    scripts=['src/scripts/derailleur-add', 'src/scripts/derailleur-manager',
             'src/scripts/derailleur-feed', 'src/scripts/derailleur-postproc'],
    packages=['derailleur', 'derailleur.client', 'derailleur.postproc',
              'derailleur.args', 'derailleur.config', 'derailleur.loggers',
              'derailleur.manager', 'derailleur.history'],
    package_dir={'' : 'src/'},
    package_data={'derailleur': ['config/configspec.ini']},
    include_package_data=True,
    requires=['transmissionrpc', 'unidecode', 'mutagen', 'feedparser', \
              'configobj'],
    provides=['derailleur'],
    platforms=['POSIX'],
    classifiers=['Development Status :: 4 - Beta',
                 'Environment :: Console',
                 'Intended Audience :: End Users/Desktop',
                 'License :: OSI Approved :: GNU General Public License (GPL)',
                 'Natural Language :: English',
                 'Operating System :: POSIX',
                 'Programming Language :: Python :: 2.7',
                 'Topic :: Internet']
    )
