# -*- coding: utf-8 -*-

# Copyright 2016-2017 Mads Michelsen (mail@brokkr.net)
# This file is part of Derailleur.
# Derailleur is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.

"""Designation of basic arguments for the derailleur scripts"""

import sys
import argparse
from derailleur import __version__


def start_parser():
    '''Start a parser, leave open for custom arguments in script'''
    about = 'Derailleur ' +  __version__ + '\n' \
            + 'See wiki for help: https://github.com/brokkr/derailleur/wiki'
    parser = argparse.ArgumentParser(description=about, formatter_class=\
                                     argparse.RawTextHelpFormatter)
    parser.add_argument("-V", "--version", help="print version number",
                        action="store_true")
    return parser

def end_parser(parser):
    '''Close up parser and return the user input'''
    parsed_args = parser.parse_args()
    if parsed_args.version:
        print(str(__version__))
        sys.exit()
    return parsed_args
