# -*- coding: utf-8 -*-

# Copyright 2016-2017 Mads Michelsen (mail@brokkr.net)
# This file is part of Derailleur.
# Derailleur is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.

"""Defining the standard torrent class"""

import subprocess


class Torrent:
    """Basic torrent class with all required values and functions. Exists as
    template for more customized content specific Torrent classes."""

    def __init__(self, config, stats, type_path):
        """standard generic torrent class"""
        self.config = config
        self.stats = stats
        self.type_path = type_path
        self.torrent_name = stats.torrent_name
        self.torrent_path = stats.torrent_path
        self.torrent_ppath = stats.torrent_ppath
        self.move_lst, self.move_type_lst = [], []
        self.tmp_folder = config['Postproc']['tmp_path']

    def manipulate(self):
        """Replaced by a call to beets"""
        subprocess.call(['/home/mads/.local/bin/beet', 'import', '-ql', '/home/mads/.config/beets/import.log', self.torrent_path])

    def move_files(self):
        """vestigial class"""
        errors = False
        return errors
