# -*- coding: utf-8 -*-

# Copyright 2016-2017 Mads Michelsen (mail@brokkr.net)
# This file is part of Derailleur.
# Derailleur is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.

"""Defining the keywords specific torrent class"""

import os
from . import generic


class Torrent(generic.Torrent):
    """Keyword content type"""

    def manipulate(self):
        """Changes files and variables before selecting the relevant files for
        move_files. Keyword special that removes keyword from file name."""
        for file_dic in self.stats.file_lst:
            keyword = self.stats.identity
            rel_file_path = os.path.relpath(file_dic['filepath'],
                                            self.torrent_ppath)
            rel_file_path = rel_file_path[len(keyword)+1:]
            new_file_path = os.path.join(self.type_path, rel_file_path)
            self.move_lst.append((file_dic['filepath'], new_file_path))
            self.move_type_lst.append(file_dic['filetype'])
